Purge delivery
curl --request DELETE \
--url https://api.bbrands.io/api/v3/webhook/dispatch/{document_id}/purge \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bbrands.io/api/v3/webhook/dispatch/{document_id}/purge"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bbrands.io/api/v3/webhook/dispatch/{document_id}/purge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attempts": 123,
"delivered_at": "2023-11-07T05:31:56Z",
"event": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error": "<string>",
"last_http_status": 123,
"next_retry_at": "2023-11-07T05:31:56Z",
"payload": {},
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_type": "<string>",
"source_event_id": "<string>",
"status": "pending",
"webhook": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"is_actived": true,
"is_deleted": true,
"updated_at": "2023-11-07T05:31:56Z"
},
"message": "<string>",
"meta": {
"correlation": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"version": "<string>"
}
}{
"code": "<string>",
"errors": [
"<unknown>"
],
"message": "<string>",
"meta": {
"correlation": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"status": 123
}{
"code": "<string>",
"errors": [
"<unknown>"
],
"message": "<string>",
"meta": {
"correlation": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"status": 123
}{
"code": "<string>",
"errors": [
"<unknown>"
],
"message": "<string>",
"meta": {
"correlation": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"status": 123
}{
"code": "<string>",
"errors": [
"<unknown>"
],
"message": "<string>",
"meta": {
"correlation": "<string>",
"status": 123,
"timestamp": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"status": 123
}Webhook Dispatch
Purge Delivery
Hard delete of a ledger row. Requires webhook-dispatch:purge.
DELETE
/
webhook
/
dispatch
/
{document_id}
/
purge
Purge delivery
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Record identifier.
Was this page helpful?